%define ver 2.3.1
%define rel b1
%define prefix /usr

Summary: a GTK+ based, lightweight, and fast e-mail client
Name: sylpheed
Version: %{ver}
Release: %{rel}
Source: http://sylpheed.sraoss.jp//sylpheed/%{name}-%{ver}.tar.bz2
License: GPL
URL: http://sylpheed.sraoss.jp/
Requires: gtk2 >= 2.4.0
Group: Applications/Internet
Packager: Yuichiro Nakada <yui@po.yui.mine.nu>
Buildroot: %{_tmppath}/%{name}-root
BuildArchitectures: i686

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for
 * Quick response
 * Simple, graceful, and well-polished interface
 * Easy configuration
 * Intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} ${SYLPHEED_CONFIGURE_FLAGS}
make

%install
make prefix=${RPM_BUILD_ROOT}%{prefix} install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -m 644 *.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
install -m 644 *.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
#%doc COPYING ChangeLog ChangeLog.jp README README.jp INSTALL INSTALL.jp TODO.jp
%{_bindir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
#%{_datadir}/%{name}/faq/*/*
#%{_datadir}/%{name}/manual/*/*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*

##
## change log
##

%changelog
* Wed Apr 18 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.3.1
* Mon Jun 5 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.2.5
* Thu Dec 29 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.4
* Mon Jul 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
